Mail archive
alpine-devel

[alpine-devel] [PATCH 02/25] testing/mate-desktop: fix build function and deps

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Fri, 19 Dec 2014 10:26:08 +0000

---
 testing/mate-desktop/APKBUILD | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)
diff --git a/testing/mate-desktop/APKBUILD b/testing/mate-desktop/APKBUILD
index 86c8f1d..2b568a6 100644
--- a/testing/mate-desktop/APKBUILD
+++ b/testing/mate-desktop/APKBUILD
_at_@ -2,18 +2,17 @@
 # Maintainer:
 pkgname=mate-desktop
 pkgver=1.9.3
-pkgrel=0
+pkgrel=1
 pkgdesc="The MATE Desktop Environment"
 url="http://wiki.mate-desktop.org/mate-desktop"
 arch="all"
 license="GPL2"
 depends="mate-common yelp-tools"
 depends_dev=""
-makedepends="autoconf automake gettext gtk+-dev libtool
-	gtk-doc intltool gdk-pixbuf-dev glib-dev dconf-dev
-	itstool libxrandr-dev"
+makedepends="gtk+-dev libtool itstool libxrandr-dev
+	gtk-doc intltool gdk-pixbuf-dev glib-dev dconf-dev"
 install=""
-subpackages=""
+subpackages="$pkgname-lang $pkgname-dev $pkgname-doc"
 source=" http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
 
 _builddir="$srcdir/$pkgname-$pkgver"
_at_@ -29,7 +28,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./autogen.sh --prefix=/usr || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
 	make || return 1
 }
 
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Dec 19 2014 - 10:26:08 GMT